KSharedPixmap class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KSharedPixmap Class Reference

Shared pixmap client. More...

`#include <ksharedpixmap.h>`

Inheritance diagram for KSharedPixmap:

[legend]
Collaboration diagram for KSharedPixmap:

[legend]
List of all members.

## Signals
void | done (bool success)
| This signal is raised when a pixmap load operation has finished.
## Public Member Functions
| KSharedPixmap ()
| Construct an empty pixmap.
| ~KSharedPixmap ()
| Destroys the pixmap.
bool | loadFromShared (const QString &name, const QRect &rect=QRect())
| Load from a shared pixmap reference.
bool | isAvailable (const QString &name) const
| Check whether a shared pixmap is available.
## Protected Member Functions
bool | x11Event (XEvent *)

## Detailed Description

Shared pixmap client.

A shared pixmap is a pixmap that resides on the X server, is referenced by a global id string, and can be accessed by all X clients.

This class is a client class to shared pixmaps in KDE. You can use it to copy (a part of) a shared pixmap into. KSharedPixmap inherits KPixmap for that purpose.

The server part of shared pixmaps is not implemented here. That part is provided by KPixmapServer, in the source file: kdebase/kdesktop/pixmapserver.cc.

An example: copy from a shared pixmap:

       KSharedPixmap *pm = new KSharedPixmap;
       connect(pm, SIGNAL(done(bool)), SLOT(slotDone(bool)));
       pm->loadFromShared("My Pixmap");

Author:
  Geert Jansen <jansen@kde.org>

Version:
  Id
    ksharedpixmap.h,v 1.7.4.1 2003/06/05 23:42:37 mueller Exp

Definition at line 51 of file ksharedpixmap.h.

## Constructor & Destructor Documentation

KSharedPixmap::KSharedPixmap | ( |  | ) |

| Construct an empty pixmap. Definition at line 65 of file ksharedpixmap.cpp.

KSharedPixmap::~KSharedPixmap | ( |  | ) |

| Destroys the pixmap. Definition at line 73 of file ksharedpixmap.cpp.

## Member Function Documentation

bool KSharedPixmap::loadFromShared | ( | const QString & | name,
|  | const QRect & | rect = QRect()
| ) |

  | Load from a shared pixmap reference. The signal done() is emitted when the operation has finished. Parameters:
  name | The shared pixmap name.
  rect | If you pass a nonzero rectangle, a tile is generated which is able to fill up the specified rectangle completely. This is solely for optimisation: in some cases the tile will be much smaller than the original pixmap. It reflects KSharedPixmap's original use: sharing of the desktop background to achieve pseudo transparency.
Returns: True if the shared pixmap exists and loading has started successfully, false otherwise. Definition at line 99 of file ksharedpixmap.cpp. References QString::latin1(), KStdAccel::name(), QPixmap::resize(), and QWidget::winId(). Referenced by KRootPixmap::repaint().

bool KSharedPixmap::isAvailable | ( | const QString & | name | ) | const

  | Check whether a shared pixmap is available. Parameters:
  name | The shared pixmap name.
Returns: True if the shared pixmap is available, false otherwise. Definition at line 89 of file ksharedpixmap.cpp. References QString::latin1(), and KStdAccel::name(). Referenced by KRootPixmap::isAvailable().

void KSharedPixmap::done | ( | bool | success | ) | `[signal]`

  | This signal is raised when a pixmap load operation has finished. Parameters:
  success | True if successfull, false otherwise.

The documentation for this class was generated from the following files:

- ksharedpixmap.h
- ksharedpixmap.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001